cUrl
curl --location --request POST 'https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '[
{
"product_code": "CI001",
"parent_code": "SC001",
"Product Name": "Blue shirts",
"Department": "Men",
"Category": "Dupatta",
"Selling Price": "1000",
"Currency": "INR",
"Image URL 1": "https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a",
"Image URL 2": "https://assets-test.catalogix.ai/b9e0a674584b15df799a2d2a7bcb6f57",
"Image URL 3": "https://assets-test.catalogix.ai/3d8f430ce3bc623e8037aac988a889c6",
"Image URL 4": "https://assets-test.catalogix.ai/e263183310aa0093381bf48a6d8540aa",
"Image URL 5": "https://assets-test.catalogix.ai/38d253f0fb7aad878ae270e2c612467a",
"Image URL 6": "https://assets-test.catalogix.ai/5733be608a3f9303af5d7dd14621d2d1"
}
]'import requests
import json
url = "https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c"
payload = json.dumps([
{
"product_code": "CI001",
"parent_code": "SC001",
"Product Name": "Blue shirts",
"Department": "Men",
"Category": "Dupatta",
"Selling Price": "1000",
"Currency": "INR",
"Image URL 1": "https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a",
"Image URL 2": "https://assets-test.catalogix.ai/b9e0a674584b15df799a2d2a7bcb6f57",
"Image URL 3": "https://assets-test.catalogix.ai/3d8f430ce3bc623e8037aac988a889c6",
"Image URL 4": "https://assets-test.catalogix.ai/e263183310aa0093381bf48a6d8540aa",
"Image URL 5": "https://assets-test.catalogix.ai/38d253f0fb7aad878ae270e2c612467a",
"Image URL 6": "https://assets-test.catalogix.ai/5733be608a3f9303af5d7dd14621d2d1"
}
])
headers = {
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer YOUR_TOKEN");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify([
{
"product_code": "CI001",
"parent_code": "SC001",
"Product Name": "Blue shirts",
"Department": "Men",
"Category": "Dupatta",
"Selling Price": "1000",
"Currency": "INR",
"Image URL 1": "https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a",
"Image URL 2": "https://assets-test.catalogix.ai/b9e0a674584b15df799a2d2a7bcb6f57",
"Image URL 3": "https://assets-test.catalogix.ai/3d8f430ce3bc623e8037aac988a889c6",
"Image URL 4": "https://assets-test.catalogix.ai/e263183310aa0093381bf48a6d8540aa",
"Image URL 5": "https://assets-test.catalogix.ai/38d253f0fb7aad878ae270e2c612467a",
"Image URL 6": "https://assets-test.catalogix.ai/5733be608a3f9303af5d7dd14621d2d1"
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
{
"status": {
"code": 0,
"message": "success",
"request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
},
"data": {
"store_uuid": "67762d4ce590324df813bd8c",
"failed_products": {
"SKU003": {
"Color": "invalid value"
}
},
"successful_product_codes": [
"CI001"
],
"existing_product_codes": [
"CI001"
]
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"detail": "<string>",
"status": "error"
}{
"detail": "<string>",
"status": "error"
}{
"detail": [
{
"loc": [
"body",
""
],
"msg": "Field Required",
"type": "missing"
}
]
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Product APIs
Create Product
Inserts new product data into the system.
POST
/
products
cUrl
curl --location --request POST 'https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '[
{
"product_code": "CI001",
"parent_code": "SC001",
"Product Name": "Blue shirts",
"Department": "Men",
"Category": "Dupatta",
"Selling Price": "1000",
"Currency": "INR",
"Image URL 1": "https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a",
"Image URL 2": "https://assets-test.catalogix.ai/b9e0a674584b15df799a2d2a7bcb6f57",
"Image URL 3": "https://assets-test.catalogix.ai/3d8f430ce3bc623e8037aac988a889c6",
"Image URL 4": "https://assets-test.catalogix.ai/e263183310aa0093381bf48a6d8540aa",
"Image URL 5": "https://assets-test.catalogix.ai/38d253f0fb7aad878ae270e2c612467a",
"Image URL 6": "https://assets-test.catalogix.ai/5733be608a3f9303af5d7dd14621d2d1"
}
]'import requests
import json
url = "https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c"
payload = json.dumps([
{
"product_code": "CI001",
"parent_code": "SC001",
"Product Name": "Blue shirts",
"Department": "Men",
"Category": "Dupatta",
"Selling Price": "1000",
"Currency": "INR",
"Image URL 1": "https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a",
"Image URL 2": "https://assets-test.catalogix.ai/b9e0a674584b15df799a2d2a7bcb6f57",
"Image URL 3": "https://assets-test.catalogix.ai/3d8f430ce3bc623e8037aac988a889c6",
"Image URL 4": "https://assets-test.catalogix.ai/e263183310aa0093381bf48a6d8540aa",
"Image URL 5": "https://assets-test.catalogix.ai/38d253f0fb7aad878ae270e2c612467a",
"Image URL 6": "https://assets-test.catalogix.ai/5733be608a3f9303af5d7dd14621d2d1"
}
])
headers = {
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
var myHeaders = new Headers();
myHeaders.append("Authorization", "Bearer YOUR_TOKEN");
myHeaders.append("Content-Type", "application/json");
var raw = JSON.stringify([
{
"product_code": "CI001",
"parent_code": "SC001",
"Product Name": "Blue shirts",
"Department": "Men",
"Category": "Dupatta",
"Selling Price": "1000",
"Currency": "INR",
"Image URL 1": "https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a",
"Image URL 2": "https://assets-test.catalogix.ai/b9e0a674584b15df799a2d2a7bcb6f57",
"Image URL 3": "https://assets-test.catalogix.ai/3d8f430ce3bc623e8037aac988a889c6",
"Image URL 4": "https://assets-test.catalogix.ai/e263183310aa0093381bf48a6d8540aa",
"Image URL 5": "https://assets-test.catalogix.ai/38d253f0fb7aad878ae270e2c612467a",
"Image URL 6": "https://assets-test.catalogix.ai/5733be608a3f9303af5d7dd14621d2d1"
}
]);
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://api.catalogix.ai/v1/products?store_uuid=67762d4ce590324df813bd8c", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
{
"status": {
"code": 0,
"message": "success",
"request_id": "8c8b2b7e-23d7-4c2a-91b0-2a7c4dfbb312"
},
"data": {
"store_uuid": "67762d4ce590324df813bd8c",
"failed_products": {
"SKU003": {
"Color": "invalid value"
}
},
"successful_product_codes": [
"CI001"
],
"existing_product_codes": [
"CI001"
]
}
}{
"detail": "<string>",
"status": "error"
}{
"status": {
"code": -1,
"message": "Unauthorized – invalid or missing Bearer token"
}
}{
"detail": "<string>",
"status": "error"
}{
"detail": "<string>",
"status": "error"
}{
"detail": [
{
"loc": [
"body",
""
],
"msg": "Field Required",
"type": "missing"
}
]
}{
"status": {
"code": -1,
"message": "Internal server error. Please contact support@catalogix.ai"
}
}{
"detail": "<string>",
"status": "error"
}Authorizations
Pass the API token as a Bearer token in the Authorization header.
Headers
Optional trace ID. If not provided, one is generated automatically
Query Parameters
Body
application/json
product parent code
Example:
"CI001"
Unique identifier for the product (SKU code)
Example:
"CI001-BLU"
Image URL 1
Example:
"https://assets-test.catalogix.ai/dee9c181338099b931cde78787df567a"
Available options:
active, new, problem, inactive, draft, under review Example:
"inactive"
Product media assets
Show child attributes
Show child attributes
⌘I